Generate Insights
curl --request POST \
--url https://audream-api.tulingbc.com/v1/notes/{note_id}/insights \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"result": {
"full_text": "<string>",
"timestamped_full_text": "<string>",
"conversation_segments": [
{
"start_ms": 1,
"end_ms": 1,
"speaker": "<string>",
"text": "<string>",
"has_overlap": true
}
]
}
}
'import requests
url = "https://audream-api.tulingbc.com/v1/notes/{note_id}/insights"
payload = { "result": {
"full_text": "<string>",
"timestamped_full_text": "<string>",
"conversation_segments": [
{
"start_ms": 1,
"end_ms": 1,
"speaker": "<string>",
"text": "<string>",
"has_overlap": True
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
result: {
full_text: '<string>',
timestamped_full_text: '<string>',
conversation_segments: [
{
start_ms: 1,
end_ms: 1,
speaker: '<string>',
text: '<string>',
has_overlap: true
}
]
}
})
};
fetch('https://audream-api.tulingbc.com/v1/notes/{note_id}/insights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import Foundation
let parameters = ["result": [
"full_text": "<string>",
"timestamped_full_text": "<string>",
"conversation_segments": [
[
"start_ms": 1,
"end_ms": 1,
"speaker": "<string>",
"text": "<string>",
"has_overlap": true
]
]
]] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://audream-api.tulingbc.com/v1/notes/{note_id}/insights")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"result\": {\n \"full_text\": \"<string>\",\n \"timestamped_full_text\": \"<string>\",\n \"conversation_segments\": [\n {\n \"start_ms\": 1,\n \"end_ms\": 1,\n \"speaker\": \"<string>\",\n \"text\": \"<string>\",\n \"has_overlap\": true\n }\n ]\n }\n}")
val request = Request.Builder()
.url("https://audream-api.tulingbc.com/v1/notes/{note_id}/insights")
.post(body)
.addHeader("Authorization", "Bearer <token>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute(){
"note_id": "<string>",
"title": "<string>",
"abstract": "<string>",
"summary": [
"<string>"
],
"decisions": [
"<string>"
],
"action_items": [
{
"task": "<string>",
"owner": "<string>",
"due": "<string>"
}
],
"risks": [
"<string>"
],
"open_questions": [
"<string>"
],
"mind_map": "<unknown>"
}{
"note_id": "<string>",
"status": "queued",
"stage": "<string>",
"title": "<string>",
"created_at": 123,
"updated_at": 123
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Insights
Generate Insights
Generates structured Insights from a completed Audream transcription result.
POST
https://audream-api.tulingbc.com
/
v1
/
notes
/
{note_id}
/
insights
Generate Insights
curl --request POST \
--url https://audream-api.tulingbc.com/v1/notes/{note_id}/insights \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"result": {
"full_text": "<string>",
"timestamped_full_text": "<string>",
"conversation_segments": [
{
"start_ms": 1,
"end_ms": 1,
"speaker": "<string>",
"text": "<string>",
"has_overlap": true
}
]
}
}
'import requests
url = "https://audream-api.tulingbc.com/v1/notes/{note_id}/insights"
payload = { "result": {
"full_text": "<string>",
"timestamped_full_text": "<string>",
"conversation_segments": [
{
"start_ms": 1,
"end_ms": 1,
"speaker": "<string>",
"text": "<string>",
"has_overlap": True
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
result: {
full_text: '<string>',
timestamped_full_text: '<string>',
conversation_segments: [
{
start_ms: 1,
end_ms: 1,
speaker: '<string>',
text: '<string>',
has_overlap: true
}
]
}
})
};
fetch('https://audream-api.tulingbc.com/v1/notes/{note_id}/insights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import Foundation
let parameters = ["result": [
"full_text": "<string>",
"timestamped_full_text": "<string>",
"conversation_segments": [
[
"start_ms": 1,
"end_ms": 1,
"speaker": "<string>",
"text": "<string>",
"has_overlap": true
]
]
]] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://audream-api.tulingbc.com/v1/notes/{note_id}/insights")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"result\": {\n \"full_text\": \"<string>\",\n \"timestamped_full_text\": \"<string>\",\n \"conversation_segments\": [\n {\n \"start_ms\": 1,\n \"end_ms\": 1,\n \"speaker\": \"<string>\",\n \"text\": \"<string>\",\n \"has_overlap\": true\n }\n ]\n }\n}")
val request = Request.Builder()
.url("https://audream-api.tulingbc.com/v1/notes/{note_id}/insights")
.post(body)
.addHeader("Authorization", "Bearer <token>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute(){
"note_id": "<string>",
"title": "<string>",
"abstract": "<string>",
"summary": [
"<string>"
],
"decisions": [
"<string>"
],
"action_items": [
{
"task": "<string>",
"owner": "<string>",
"due": "<string>"
}
],
"risks": [
"<string>"
],
"open_questions": [
"<string>"
],
"mind_map": "<unknown>"
}{
"note_id": "<string>",
"status": "queued",
"stage": "<string>",
"title": "<string>",
"created_at": 123,
"updated_at": 123
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
API key beginning with audream_sk_.
Path Parameters
Client-generated note UUID.
Body
application/json